package org.stuartgunter.rep.web;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.stuartgunter.rep.annotations.Robot;

import static org.stuartgunter.rep.annotations.RobotsDirective.NO_INDEX;

/**
 * @author Stuart Gunter
 */
@Controller
@RequestMapping("/no-rep")
public class NoRobotsController {

    protected static final String DEMO_PAGE = "demo";

    @Robot(directives = NO_INDEX)
    @RequestMapping("/no-robots")
    public String noRobots() {
        return DEMO_PAGE;
    }
}
